CHSH(1)

NAME
chsh - ändert die Anmelde-Shell

ÜBERSICHT

chsh [Optionen] [ANMELDENAME]

BESCHREIBUNG

The chsh command changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account; the superuser may change the login shell for any account.

OPTIONEN

The options which apply to the chsh command are:

-h, --help
    zeigt die Hilfe an und beendet das Programm

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --shell SHELL
    Der Name der neuen Anmelde-Shell des Benutzers. Falls dieses Feld leer gelassen wird, verwendet das System die Standard-Anmelde-Shell.

If the -s option is not selected, chsh operates in an interactive fashion, prompting the user with the current login shell. Enter the new value to change the shell, or leave the line blank to use the current one. The current shell is displayed between a pair of [ ] marks.

ANMERKUNGEN

The only restriction placed on the login shell is that the command name must be listed in /etc/shells, unless the invoker is the superuser, and then any value may be added. An account with a restricted login shell may not change her login shell. For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from ever changing her login shell back to its original value.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CHSH_AUTH (boolean)
    If yes, the chsh program will require authentication before making any changes, unless run by the superuser.

LOGIN_STRING (string)
    Diese Zeichenkette wird bei der Eingabeaufforderung des Passworts (Prompt) verwendet. Standardmäßig wird »Password: « oder eine Übersetzung davon benutzt. Wenn Sie diese Variable definieren, wird die Eingabeaufforderung nicht übersetzt.

    If the string contains %s, this will be replaced by the user's name.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shells
    Liste der möglichen Anmelde-Shells

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

SIEHE AUCH

chfn(1), login.defs(5), passwd(5).